#!/usr/bin/env bash
source .env
REPO_NAME=$(basename $(pwd))
GITEA_USERNAME=aynish
CREATE_REPO=true

curl -X 'POST' -H "Content-Type: application/json" -d "{ \"name\": \"${REPO_NAME}\"}" \
				-H "Authorization: token ${GITEA_TOKEN}" \
	"https://git.sealight.xyz/api/v1/user/repos"

if [ ${CREATE_REPO} ]; then
	git init 
	git add .
	git commit -m "Initial Commit"
	git remote add origin "gitea@git.sealight.xyz:${GITEA_USERNAME}/${REPO_NAME}.git"
	git push
fi
